Bug 1321372 - Incorrect first day of the week for es_CL locale
Summary: Incorrect first day of the week for es_CL locale
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 23
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-25 20:34 UTC by Cristián Rojas
Modified: 2016-05-15 04:52 UTC (History)
10 users (show)

Fixed In Version: glibc-2.22-15.fc23, glibc-2.23.1-7.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-15 04:52:12 UTC


Attachments (Terms of Use)
First day of the week for es_CL locale patch (374 bytes, patch)
2016-03-25 20:34 UTC, Cristián Rojas
no flags Details | Diff

Description Cristián Rojas 2016-03-25 20:34:43 UTC
Created attachment 1140456 [details]
First day of the week for es_CL locale patch

Description of problem:
On using applications like GNOME Shell or cal, the first day of the week is sunday, whereas the first day of the week and the first workday of the week are both monday.

Version-Release number of selected component (if applicable):
Latest on Fedora 23

How reproducible:


Steps to Reproduce:
1. Change format on GNOME Shell to Chile (Settings -> Region & Language. Change Formats to Chile. It will ask you to log out and back in.
2. Go to GNOME Shell's calendar at the top bar, or
3. Open a terminal, and type cal.

Actual results:
You see the days of the week like this: do lu ma mi ju vi sa

Expected results:
You should see the days of the week like this: lu ma mi ju vi sa do

Additional info:
I'm attaching a patch for /usr/share/i18n/locales/es_CL which fixes the issue.

Comment 1 Florian Weimer 2016-05-06 19:41:35 UTC
CLDR (the future upstream source of glibc locale data) has this instead:

week 7;19971130;1
first_weekday 2

Is this variant acceptable to you as well?

Comment 2 Cristián Rojas 2016-05-06 20:10:13 UTC
That variant works OK over here.

Comment 3 Fedora Update System 2016-05-07 17:21:07 UTC
glibc-2.22-15.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-68abc0be35

Comment 4 Fedora Update System 2016-05-08 16:26:18 UTC
glibc-2.22-15.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-68abc0be35

Comment 5 Florian Weimer 2016-05-09 10:05:44 UTC
This was fixed upstream with a larger CLDR import in glibc master.  I'm going to apply the change described in comment 1 to the Fedora 24 glibc branch, rather than backporting the CLDR import.

Comment 6 Fedora Update System 2016-05-09 14:57:23 UTC
glibc-2.23.1-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 7 Fedora Update System 2016-05-10 17:58:24 UTC
glibc-2.22-15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-05-10 20:30:29 UTC
glibc-2.23.1-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 9 Cristián Rojas 2016-05-11 12:59:13 UTC
Fix works OK. Thanks.

Comment 10 Florian Weimer 2016-05-11 13:25:39 UTC
Reopening, not yet fixed in Fedora 24.

Comment 11 Fedora Update System 2016-05-11 13:55:55 UTC
glibc-2.23.1-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 12 Fedora Update System 2016-05-12 09:44:23 UTC
glibc-2.23.1-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 13 Fedora Update System 2016-05-14 23:30:19 UTC
glibc-2.23.1-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.